// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniImage/OIDocument.h,v 1.2 1998/12/10 21:50:17 kc Exp $

#import <OmniDocument/ODDocument.h>

@class NSColor, NSImage, NSImageView;
@class OWAddress;
@class OIImage;

#import <AppKit/NSNibDeclarations.h> // For IBAction
#import <OWF/OWTargetProtocol.h>
#import <OIF/OIImageObserverProtocol.h>

@interface OIDocument : ODDocument <OWTarget, OIImageObserver>
{
   IBOutlet NSImageView *imageView;

    OIImage *omniImage;
    NSSize imageSize;
    NSPoint moveBy;
}

// Actions
- (IBAction)reload:(id)sender;
- (IBAction)printDocument:(id)sender;
- (IBAction)zoomToOriginalSize:(id)sender;
- (IBAction)zoomToMaximumSize:(id)sender;

@end
