// Copyright 1997-1998 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniImage/OIDocumentController.h,v 1.2 1998/12/10 21:50:17 kc Exp $

#import <OmniDocument/ODDocumentController.h>

@class NSArray;

#import <AppKit/NSNibDeclarations.h> // For IBAction

@interface OIDocumentController : ODDocumentController
{
    NSString *lastDirectory;
    NSMutableArray *imageExtensions;
}

- (NSArray *)imageFileTypes;

- (NSString *)appVersion;
- (NSString *)appFullVersion;

// Actions
- (IBAction)showPreferencesPanel:(id)sender;
- (IBAction)flushCache:(id)sender;

@end
